Package org.springframework.security.acls.model

# Interface MutableAcl

All Superinterfaces:
  `Acl`, `Serializable`

All Known Subinterfaces:
  `AuditableAcl`, `OwnershipAcl`

All Known Implementing Classes:
  `AclImpl`

public interface MutableAcl extends Acl
A mutable `Acl`.

A mutable ACL must ensure that appropriate security checks are performed before allowing access to its methods.

## Method Summary

Modifier and Type
Method
Description
`void`
`deleteAce(int aceIndex)`
`Serializable`
`getId()`
Obtains an identifier that represents this `MutableAcl`.
`void`
`insertAce(int atIndexLocation, Permission permission, Sid sid, boolean granting)`
`void`
`setEntriesInheriting(boolean entriesInheriting)`
Change the value returned by `Acl.isEntriesInheriting()`.
`void`
`setOwner(Sid newOwner)`
Changes the present owner to a different owner.
`void`
`setParent(Acl newParent)`
Changes the parent of this ACL.
`void`
`updateAce(int aceIndex, Permission permission)`

### Methods inherited from interface org.springframework.security.acls.model.Acl

`getEntries, getObjectIdentity, getOwner, getParentAcl, isEntriesInheriting, isGranted, isSidLoaded`

## Method Details

### deleteAce

void deleteAce(int aceIndex) throws NotFoundException

Throws:
  `NotFoundException`

### getId

Serializable getId()
Obtains an identifier that represents this `MutableAcl`.

Returns:
  the identifier, or `null` if unsaved

### insertAce

void insertAce(int atIndexLocation, Permission permission, Sid sid, boolean granting) throws NotFoundException

Throws:
  `NotFoundException`

### setOwner

void setOwner(Sid newOwner)
Changes the present owner to a different owner.

Parameters:
  `newOwner` - the new owner (mandatory; cannot be null)

### setEntriesInheriting

void setEntriesInheriting(boolean entriesInheriting)
Change the value returned by `Acl.isEntriesInheriting()`.

Parameters:
  `entriesInheriting` - the new value

### setParent

void setParent(Acl newParent)
Changes the parent of this ACL.

Parameters:
  `newParent` - the new parent

### updateAce

void updateAce(int aceIndex, Permission permission) throws NotFoundException

Throws:
  `NotFoundException`